[![Flathub](https://img.shields.io/flathub/v/com.github.cassidyjames.dippi?logo=flathub&logoColor=white&style=for-the-badge)][flathub]
[![Installs](https://img.shields.io/flathub/downloads/com.github.cassidyjames.dippi?label=Installs&logo=flathub&logoColor=white&style=for-the-badge)][flathub]

![Icon](data/icons/com.github.cassidyjames.dippi.svg?raw=true)

# Dippi

## Calculate display info like DPI and aspect ratio

Analyze any display. Input a few simple details and figure out the aspect ratio, DPI, and other details of a particular display. Great for deciding which laptop or external monitor to purchase, and if it would be considered HiDPI.

![Screenshot](data/screenshots/default.png?raw=true)    | ![Screenshot](data/screenshots/hidpi-dark.png?raw=true)
------------------------------------------------------- | --------------------------------------------------------
![Screenshot](data/screenshots/lodpi-dark.png?raw=true) | ![Screenshot](data/screenshots/problematic.png?raw=true)

### Handy features:

- Find out if a display is a good choice based on its size and resolution
- Get advice about different densities
- Learn the logical resolution
- Differentiate between laptops and desktop displays
- Stupid simple: all in a cute li'l window

Based my expertise and experience shipping HiDPI hardware and software at System76 and elementary.

### Tells you if a display’s density is:

- Very Low DPI,
- Fairly Low DPI,
- Ideal for LoDPI,
- Potentially Problematic,
- Ideal for HiDPI,
- Fairly High for HiDPI, or
- Too High DPI

## Made for GNOME

Dippi 4 was designed and developed on and for GNOME. As such, contributors agree to abide by the [GNOME Code of Conduct](https://wiki.gnome.org/Foundation/CodeOfConduct).

<a href='https://flathub.org/apps/details/com.github.cassidyjames.dippi'><img width='180' alt='Download on Flathub' src='https://flathub.org/assets/badges/flathub-badge-en.svg' /></a>

> [!IMPORTANT]
> **Dippi is on Flathub!** 🎉️ Get the latest version with a refreshed design from [Flathub].
>
>If you're on elementary OS, **the AppCenter version is no longer maintained or receiving updates.** Install from [Flathub] to get the latest design and future updates.

## Developing and Building

If you want to hack on and build Dippi yourself, I recommend using GNOME Builder. Clone the repository, then just* hit run!

<small>*If you're hitting issues, try "Update project dependencies" in the top-center build menu to ensure you have the SDK installed.</small>

## Special Thanks

- [Micah Ilbery](https://github.com/micahilbery) for the shiny icons

[flathub]: https://flathub.org/apps/details/com.github.cassidyjames.dippi
